Page MenuHomeVyOS Platform

l2tpv3 conf_mode errors
Closed, ResolvedPublic

Description

Trying to add l2tpv3 (but local-ip is not assigned to the system.)

sever@r11-ansible# compare 
[edit interfaces]
+l2tpv3 l2tpeth1 {
+    address 10.0.0.5/32
+    local-ip 10.0.0.1
+    peer-session-id 1
+    peer-tunnel-id 1
+    remote-ip 10.2.2.1
+    session-id 1
+    tunnel-id 1
+}
[ interfaces l2tpv3 l2tpeth1 ]
RTNETLINK answers: Cannot assign requested address
VyOS had an issue completing a command.

Date:       2020-04-21 15:16:35
VyOS image: 1.3-rolling-202004210117

['Traceback (most recent call last):\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-l2tpv3.py", line 255, in <module>\n    apply(c)\n', '  File "/usr/libexec/vyos/conf_mode/interfaces-l2tpv3.py", line 221, in apply\n    l = L2TPv3If(l2tpv3[\'intf\'], **conf)\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/interface.py", line 214, in __init__\n    self._create()\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/l2tpv3.py", line 57, in _create\n    self._cmd(cmd.format(**self.config))\n', '  File "/usr/lib/python3/dist-packages/vyos/ifconfig/control.py", line 48, in _cmd\n    return cmd(command, self.debug)\n', '  File "/usr/lib/python3/dist-packages/vyos/util.py", line 139, in cmd\n    raise OSError(code, feedback)\n', 'FileNotFoundError: [Errno 2] failed to run command: ip l2tp add tunnel tunnel_id 1 peer_tunnel_id 1 udp_sport 5000 udp_dport 5000 encap udp local 10.0.0.1 remote 10.2.2.1\nreturned: \nexit code: 2\n']

Details

Difficulty level
Unknown (require assessment)
Version
VyOS 1.3-rolling-202004210117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
OpenBUGNone
Resolvedthomas-mangin

Event Timeline

Viacheslav created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Apr 22 2020, 11:03 AM
Viacheslav closed this task as Resolved.Apr 27 2020, 10:04 AM

Fixed.

sever@r11# set interfaces l2tpv3 l2tpeth1 local-ip '10.0.4.8'
[edit]
sever@r11# commit
[ interfaces l2tpv3 l2tpeth1 ]
Must use a configured IP on l2tpv3 local-ip for l2tpeth1

[[interfaces l2tpv3 l2tpeth1]] failed
Commit failed